'use strict';
var play;
var title;
var helper;
var bg;
var sponsors;
var definicja;
var definicja_audio;
var definicja_audio2;
var definicja_audio3;
var definicja_audio4;
var definicja_audio5;
var inDefinition;
var definition_text;
Game1.Menu = function () {};

Game1.Menu.prototype = {

    create: function () {

        inDefinition = 0;
        definicja_audio = new Audio('./sound/OB_g_I_3_2.mp3');
        definicja_audio2 = new Audio('./sound/OB_g_I_3_3.mp3');
        definicja_audio3 = new Audio('./sound/OB_g_I_3_4.mp3');
        definicja_audio4 = new Audio('./sound/OB_g_I_3_5.mp3');
        definicja_audio5 = new Audio('./sound/OB_g_I_3_5.mp3');
        this.strona = new Audio("./sound/page.mp3");

        this.strona.load();
        var style = {
            font: '70px Arial',
            fill: '#0080ca',
            align: 'center'
        };
        bg = this.game.add.sprite(0, 0, 'bg');
        this.boo = this.game.add.sprite(0, 0, "book");
        //bg.scale.setTo(1/2,1/2);
        sponsors = this.game.add.sprite(0, 458 * 2, 'sponsors');

        definicja = this.game.add.sprite(1154, 727, 'definicja');
        definicja.inputEnabled = true;
        definicja.name = "definicjaButton";
        definicja.events.onInputOver.add(this.over, this);
        definicja.events.onInputDown.add(this.down, this);
        definicja.events.onInputOut.add(this.out, this);
        title = this.game.add.sprite(422, 158, 'title');
        //title.scale.setTo(1/2,1/2);
        helper = this.game.add.sprite(1366, 347, 'pomocnik');

        play = this.game.add.sprite(488, 630, 'play_button');
        play.inputEnabled = true;
        play.name = "play";
        play.events.onInputOver.add(this.over, this);
        play.events.onInputDown.add(this.down, this);
        play.events.onInputOut.add(this.out, this);

        play.inputEnabled = true;
        play.animations.add('off', [0], true);
        play.animations.add('on', [1], true);

    },

    showDefinition: function () {
        inDefinition = 1;
        play.inputEnabled = false;
        definicja.inputEnabled = false;
        definicja_audio.play();
        //this.StopInput();
        this.guiHelp = this.game.add.sprite(1210, 350, 'guiPomocnik_good');
        //this.guiHelp.scale.setTo(0.8,0.8);
        this.guiHelp.fixedToCamera = true;
        this.guiBubble = this.game.add.sprite(95, 96, 'Finish');
        this.guiBubble.scale.setTo(1.3, 1.3);
        this.guiBubble.fixedToCamera = true;
        definition_text = this.game.add.text(200, 330, 'Produkty dla dzieci powinny być ułożone niżej,\nniż produkty dla rodziców. Najwyżej są takie artykuły,\nz którymi dzieci nie powinny mieć kontaktu.', {
            font: "36px Arial",
            fill: "#000000",
        });
        definition_text.fixedToCamera = true;

    },

    hideDefinition: function () {
        inDefinition = false;
        play.inputEnabled = true;
        definicja.inputEnabled = true;
        //this.ReStartInput();
        this.guiHelp.visible = false;
        this.guiBubble.visible = false;
        definition_text.visible = false;
        //this.lektor.hide();
    },


    onInputOver: function (sprite, pointer) {

    },
    down: function (sprite, pointer) {
        if (sprite.name == 'play') {
            this.strona.play();
            this.game.state.start('Game');
        } else {
            this.showDefinition();
        }
        ////console.log('button down: '+sprite.name);
    },
    over: function (sprite, pointer) {
        play.animations.play('on', 1, true, false);
        //console.log('button over'+sprite.name);
        if (!this.game.device.desktop)
            this.game.state.start('Game');
    },

    out: function (sprite, pointer) {
        play.animations.play('off', 1, true, false);
        //console.log('button out'+sprite.name);
    },
    update: function () {
        if ((!isPlaying(definicja_audio) || definicja_audio.ended) && inDefinition == 1) {
            definicja_audio2.play();
            definition_text.setText('Na dolnych półkach często kładzie się\nopakowania zbiorcze i ciężkie, np. zgrzewki wody, mąki.\nWyżej układane są produkty sprzedawane\nna sztuki oraz te najpopularniejsze i cieszące się dużym\nzainteresowaniem.\nNajwyższej lokowane są częściej produkty lekkie,\nponieważ łatwo je zdjąć, oraz szczególnie cenne,\nby nie uległy przypadkowemu zrzuceniu (np. szklane).');
            inDefinition = 2;
        }
        if ((!isPlaying(definicja_audio2) || definicja_audio2.ended) && inDefinition == 2) {
            definicja_audio3.play();
            inDefinition = 3;
            definition_text.setText('W sklepie warzywniczym nisko układa się\ntzw. warzywa brudne, jak ziemniaki, włoszczyznę, buraki,\na także np. beczki z ogórkami czy kapustą kiszoną.\nNa półkach środkowych umieszczane są warzywa i owoce\nsprzedawane na sztuki lub na wagę,\nnp. maliny, pomidory, fasolka.\nNa wyższych półkach można znaleźć\nprodukty paczkowane i drobne, jak rodzynki, orzeszki.');

        }
        if ((!isPlaying(definicja_audio3) || definicja_audio3.ended) && inDefinition == 3) {
            definicja_audio4.play();
            inDefinition = 4;

            definition_text.setText('W sklepach wielobranżowych\nartykuły chemiczne i czystościowe leżą oddzielnie\nod produktów spożywczych.\nChipsy i przekąski najczęściej stoją obok napoi.\nNatomiast przy kasie znajdują się\ndrobne i niedrogie produkty dalszej potrzeby,\njak gumy do żucia, żelki, drobne zabawki, długopisy itp.');

        }
        if ((!isPlaying(definicja_audio4) || definicja_audio4.ended) && inDefinition == 4) {
            this.hideDefinition();

        }

    },

    actionOnClick: function () {
        this.game.state.start('Game');

    }
};